## MgCanvasDbRelations

MgCanvasDbRelations — Graphical representation of the relations (foreign key constreints) in the database.

## Synopsis

    struct      MgCanvasDbRelations;
    guint       mg_canvas_db_relations_get_type (void);
    GtkWidget*  mg_canvas_db_relations_new      (MgConf *conf,
                                                 MgGraph *graph);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkLayout
                               +----GnomeCanvas
                                     +----MgCanvas
                                           +----MgCanvasDbRelations

## Implemented Interfaces

MgCanvasDbRelations implements AtkImplementorIface.

## Description

This object uses a MgGraph object to be able to tell which table is displayed, and where on the canvas.

## Details

### struct MgCanvasDbRelations

    struct MgCanvasDbRelations;

### mg_canvas_db_relations_get_type ()

    guint       mg_canvas_db_relations_get_type (void);

Returns : |

### mg_canvas_db_relations_new ()

    GtkWidget*  mg_canvas_db_relations_new      (MgConf *conf,
                                                 MgGraph *graph);

Creates a new canvas widget to display the relations between the database's tables. The database is the one managed by the MgConf object which `graph` refers.

`graph` contains all the table's graphical representations and their respective locations on the canvas, or can be `NULL` (in which case nothing is displayed)

`conf` : | a MgConf object
`graph` : | a MgGraph object, or `NULL`
Returns : | a new MgCanvasDbRelations widget